Bug 602 - nmbd mistreats Cyrillic machine names
nmbd mistreats Cyrillic machine names
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: nmbd
3.0.0
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-10 07:34 UTC by Alex V. Myltsev
Modified: 2005-11-14 09:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex V. Myltsev 2003-10-10 07:34:21 UTC
With samba-3.0.0-rc4, nmbd dies shortly after startup.
The logs display the following:

[2003/10/03 23:55:56, 3] lib/charcnv.c:convert_string_allocate(444)
 convert_string_allocate: Conversion error: Illegal multibyte sequence(?)
[2003/10/03 23:55:56, 3] lib/charcnv.c:convert_string_allocate(444)
 convert_string_allocate: Conversion error: Illegal multibyte sequence(?)
[2003/10/03 23:55:56, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2003/10/03 23:55:56, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 10921 (3.0.0-ALT/3.0)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/10/03 23:55:56, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2003/10/03 23:55:56, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2003/10/03 23:55:56, 0] lib/util.c:smb_panic(1407)
  BACKTRACE: 12 stack frames:
   #0 /usr/sbin/nmbd(smb_panic+0x11c) [0x80c02ac]
   #1 /usr/sbin/nmbd [0x80aeb02]
   #2 /lib/libc.so.6 [0x40243288]
   #3 /lib/libc.so.6(__libc_free+0x86) [0x40287976]
   #4 /usr/sbin/nmbd(tdb_store+0x160) [0x80d3880]
   #5 /usr/sbin/nmbd(unexpected_packet+0x154) [0x80a44b4]
   #6 /usr/sbin/nmbd [0x806d868]
   #7 /usr/sbin/nmbd(run_packet_queue+0x67) [0x806e167]
   #8 /usr/sbin/nmbd(strftime+0x1a9e) [0x805f7aa]
   #9 /usr/sbin/nmbd(main+0x3f7) [0x805fe47]
   #10 /lib/libc.so.6(__libc_start_main+0xa2) [0x40232682]
   #11 /usr/sbin/nmbd(chroot+0x35) [0x805e681]
[2003/10/03 23:55:56, 2] tdb/tdbutil.c:tdb_log(724)
  tdb(unnamed): tdb_open_ex: /var/cache/samba/unexpected.tdb (8454,0) is already 
open in this process
[2003/10/03 23:55:56, 2] tdb/tdbutil.c:tdb_log(724)
  tdb(unnamed): tdb_open_ex: /var/cache/samba/unexpected.tdb (8454,0) is already 
open in this process

With samba-3.0.0, nmbd doesn't die, but fills the logs with:

[2003/10/03 23:55:56, 3] lib/charcnv.c:convert_string_allocate(444)
  convert_string_allocate: Conversion error: Illegal multibyte sequence(?)

The server stores files in UTF-8.
The multibyte sequence nmbd deems illegal is the Cyrillic prefix in UTF-8.
Comment 1 mike 2003-10-10 11:33:30 UTC
After three hours of testing, it was found out, that samba-3.0 release too falls on 
this bug. Last messages in log.nmbd file, after nmbd falls: 
[2003/10/10 18:51:11, 0] lib/fault.c:fault_report(36) 
=============================================================== 
[2003/10/10 18:51:11, 0] lib/fault.c:fault_report(37) 
  INTERNAL ERROR: Signal 11 in pid 16450 (3.0.0-ALT/3.0) 
  Please read the appendix Bugs of the Samba HOWTO collection 
[2003/10/10 18:51:11, 0] lib/fault.c:fault_report(39) 
=============================================================== 
[2003/10/10 18:51:11, 0] lib/util.c:smb_panic(1400) 
  PANIC: internal error 
[2003/10/10 18:51:11, 0] lib/util.c:smb_panic(1407) 
  BACKTRACE: 11 stack frames: 
   #0 /usr/sbin/nmbd(smb_panic+0x11c) [0x80c037c] 
   #1 /usr/sbin/nmbd [0x80aebd2] 
   #2 /lib/libc.so.6 [0x4023d288] 
   #3 /lib/libc.so.6(__libc_free+0x86) [0x40281976] 
   #4 /usr/sbin/nmbd(free_packet+0x41) [0x80a6581] 
   #5 /usr/sbin/nmbd(remove_response_record+0x84) [0x8070064] 
   #6 /usr/sbin/nmbd(retransmit_or_expire_response_records+0x10d) [0x806e2ed] 
   #7 /usr/sbin/nmbd(strftime+0x1b27) [0x805f87f] 
   #8 /usr/sbin/nmbd(main+0x3f7) [0x805fe97] 
   #9 /lib/libc.so.6(__libc_start_main+0xa2) [0x4022c682] 
   #10 /usr/sbin/nmbd(yp_get_default_domain+0x59) [0x805e6d1] 
 
Comment 2 Jeremy Allison 2003-11-07 13:15:45 UTC
Can you tell me what character set settings you have in smb.conf ?

Jeremy.
Comment 3 Eugene Turovsky 2003-11-09 02:16:47 UTC
I have also this bug. charset setting are:
        dos charset = CP866
        unix charset = UTF-8
        display charset = LOCALE

wins support = yes
nmbd falls also when nmbd tried register Cyrillic user names in WINS.
Comment 4 mike 2003-11-10 08:50:15 UTC
This bug appears when server have configuration below: 
 
Wins server smb.conf: 
dos charset = CP866 
unix charset = KOI8-R  #(*) 
display charset = KOI8-R 
wins support = yes 
 
Wins client server (bug...): 
wins server = <wins server address> 
dos charset = CP866 
unix charset = UTF-8 # (2*) 
display charset = KOI8-R 
 
if * == 2*, then no bug 
if * != 2*, then bug  exists on wins client 
Workgroup name has cyrillic characters 
Comment 5 Gerald (Jerry) Carter 2004-04-22 19:55:59 UTC
should be fixed now.
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:20:49 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 7 Gerald (Jerry) Carter 2005-11-14 09:24:22 UTC
database cleanup